Bug 239818

Summary: devel/p5-Rcs-Agent Dependency not installed in FreeBSD 12 (take maintainership)
Product: Ports & Packages Reporter: mats
Component: Individual Port(s)Assignee: Rene Ladan <rene>
Status: Closed FIXED    
Severity: Affects Some People CC: nick, rene, w.schwarzenfeld
Priority: --- Flags: w.schwarzenfeld: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn-dif-p5-Rcs-Agent
none
Change maintainer and fix dependency problem in FreeBSD 12 mats: maintainer-approval-

Description mats 2019-08-13 15:22:15 UTC
/usr/bin/rcs has been removed from FreeBSD base from FreeBSD 12. Port devel/p5-Rcs-Agent (p5-Rcs-Agent) needs binary rcs to run, but in the port there is no formal dependcy or check for binary rcs. If devel/p5-Rcs-Agent is installed on FreeBSD 12, then devel/rcs57 should also be installed.

I have verified that it works if devel/rcs57 is installed. I have not verified against devel/rcs (which is stated to have a changed API).
Comment 1 Nick Hilliard 2019-08-13 16:11:57 UTC
I had no idea that people still used RCS.

I'd be ok if the devel/p5-Rcs-Agent port were deleted.  The Rcs::Agent library was written nearly 20 years ago, and even then, RCS was on its way out.  There's no reason for it to be in the ports tree at this stage - if someone really wants it, they can install via CPAN.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-13 18:00:48 UTC
Created attachment 206495 [details]
svn-dif-p5-Rcs-Agent

If you agree, set expiration date.
Comment 3 mats 2019-08-13 21:25:23 UTC
It still works as-is, it just needs the updated dependency. RCS as such is still kept in ports compatible with previous RCS from base. The perl integration might as well be kept as long as devel/rcs57 is there.
Comment 4 Nick Hilliard 2019-08-16 13:29:28 UTC
I'm happy with the patch which adds the expiration date.
Comment 5 mats 2019-08-16 17:12:38 UTC
I object to the expiration/removal of this port. Compatible RCS is in ports (devel/rcs57) and this port is a perl integration to that RCS. It works well. It only needs an updated dependency statement in Makefile. If you could please point me to how I could contribute that I will do that, or else below is what is needed. I have tested that in both FreeBSD 11 and FreeBSD 12 with success.

*** Makefile-original	Sat Oct  6 15:06:42 2018
--- Makefile	Fri Aug 16 18:54:35 2019
***************
*** 11,18 ****
--- 11,23 ----
  MAINTAINER=	nick@foobar.org
  COMMENT=	Perl module for RCS archive manipulation
  
+ .if exists(/usr/bin/rcs)
  BUILD_DEPENDS=	${RUN_DEPENDS}
  RUN_DEPENDS=	p5-String-ShellQuote>1.00:textproc/p5-String-ShellQuote
+ .else
+ BUILD_DEPENDS=	${RUN_DEPENDS}
+ RUN_DEPENDS=	p5-String-ShellQuote>1.00:textproc/p5-String-ShellQuote /usr/local/bin/rcs:devel/rcs57
+ .endif
  
  USES=		perl5
  USE_PERL5=	configure
Comment 6 Nick Hilliard 2019-08-16 17:20:31 UTC
if you want to take over maintainership, that's fine by me. I haven't used the code since 2002, so it's basically abandonware at this stage.
Comment 7 mats 2019-08-19 18:48:50 UTC
I have never been maintainer, but I am willing to take it over for this port.
Comment 8 Walter Schwarzenfeld freebsd_triage 2019-08-19 19:20:08 UTC
mats attach a patch and change maintainer to your mail-address (maybe combined with a fix patch).
Comment 9 mats 2019-08-19 20:14:46 UTC
Created attachment 206709 [details]
Change maintainer and fix dependency problem in FreeBSD 12

Enclosed patch will change maintainer of devel/p5-Rcs-Agent and fix the issue with dependency on rcs binary in FreeBSD 12.
Comment 10 commit-hook freebsd_committer 2019-08-20 19:05:08 UTC
A commit references this bug:

Author: rene
Date: Tue Aug 20 19:05:03 UTC 2019
New revision: 509445
URL: https://svnweb.freebsd.org/changeset/ports/509445

Log:
  devel/p5-Rcs-Agent: use rcs from ports on newer FreeBSD.

  Pass maintainership to submitter.

  PR:		239818
  Submitted by:	mats@dufberg.se
  Approved by:	former maintainer

Changes:
  head/devel/p5-Rcs-Agent/Makefile
Comment 11 Rene Ladan freebsd_committer 2019-08-20 19:07:36 UTC
Patch committed (somewhat simplified), thanks for the report.